require "tty-prompt"
require_relative "tasks/new_day"
require_relative "tasks/part_two"

prompt = TTY::Prompt.new

day = prompt.ask("Name the day (1-24)") do |q|
  q.in("1-24")
end
selected = prompt.select("What do you want to do", "New day":0, "Add part 2 to a day":1)

if selected == 0
  new_day(prompt, day)
elsif selected == 1
  part_two(prompt, day)
end
